petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESGetApplicationContext

Gets the user-defined context for the nonlinear solvers.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetApplicationContext(SNES snes,void *usrP)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

usrP -user context

### Keywords

SNES, nonlinear, get, application, context

### See Also

SNESSetApplicationContext()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex58.c.html
src/snes/examples/tutorials/ex5f90.F.html
src/snes/examples/tutorials/ex5f90t.F.html